- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SBEncState Struct Reference

`#include <sb_celp.h>`

List of all members.

## Public Attributes
const SpeexMode * | mode
void * | st_low
int | full_frame_size
int | frame_size
int | subframeSize
int | nbSubframes
int | windowSize
int | lpcSize
int | bufSize
int | first
float | lag_factor
spx_word16_t | lpc_floor
spx_word16_t | gamma1
spx_word16_t | gamma2
char * | stack
spx_sig_t * | x1d
spx_sig_t * | high
spx_sig_t * | y1
spx_word32_t * | g1_mem
spx_sig_t * | excBuf
spx_sig_t * | exc
spx_sig_t * | res
spx_sig_t * | sw
spx_sig_t * | target
spx_word16_t * | window
spx_word16_t * | lagWindow
spx_word16_t * | autocorr
spx_coef_t * | lpc
spx_lsp_t * | lsp
spx_lsp_t * | qlsp
spx_lsp_t * | old_lsp
spx_lsp_t * | old_qlsp
spx_lsp_t * | interp_lsp
spx_lsp_t * | interp_qlsp
spx_coef_t * | interp_lpc
spx_coef_t * | interp_qlpc
spx_coef_t * | bw_lpc1
spx_coef_t * | bw_lpc2
spx_mem_t * | mem_sp
spx_mem_t * | mem_sw
float | vbr_quality
int | vbr_enabled
int | abr_enabled
int | vad_enabled

## Detailed Description

Structure representing the full state of the sub-band encoder

## Member Data Documentation

const SpeexMode* SBEncState::mode

Pointer to the mode (containing for vtable info)

void* SBEncState::st_low

State of the low-band (narrowband) encoder

int SBEncState::full_frame_size

Length of full-band frames

int SBEncState::frame_size

Length of high-band frames

int SBEncState::subframeSize

Length of high-band sub-frames

int SBEncState::nbSubframes

Number of high-band sub-frames

int SBEncState::windowSize

Length of high-band LPC window

int SBEncState::lpcSize

Order of high-band LPC analysis

int SBEncState::bufSize

Buffer size

int SBEncState::first

First frame?

float SBEncState::lag_factor

Lag-windowing control parameter

spx_word16_t SBEncState::lpc_floor

Controls LPC analysis noise floor

spx_word16_t SBEncState::gamma1

Perceptual weighting coef 1

spx_word16_t SBEncState::gamma2

Perceptual weighting coef 2

char* SBEncState::stack

Temporary allocation stack

spx_sig_t * SBEncState::x1d

QMF filter signals

spx_sig_t* SBEncState::high

High-band signal (buffer)

spx_sig_t * SBEncState::y1

QMF synthesis signals

spx_word32_t * SBEncState::g1_mem

QMF memories

spx_sig_t* SBEncState::excBuf

High-band excitation

spx_sig_t* SBEncState::exc

High-band excitation (for QMF only)

spx_sig_t* SBEncState::res

Zero-input response (ringing)

spx_sig_t* SBEncState::sw

Perceptually weighted signal

spx_sig_t* SBEncState::target

Weighted target signal (analysis by synthesis)

spx_word16_t* SBEncState::window

LPC analysis window

spx_word16_t* SBEncState::lagWindow

Auto-correlation window

spx_word16_t* SBEncState::autocorr

Auto-correlation (for LPC analysis)

spx_coef_t* SBEncState::lpc

LPC coefficients

spx_lsp_t* SBEncState::lsp

LSP coefficients

spx_lsp_t* SBEncState::qlsp

Quantized LSPs

spx_lsp_t* SBEncState::old_lsp

LSPs of previous frame

spx_lsp_t* SBEncState::old_qlsp

Quantized LSPs of previous frame

spx_lsp_t* SBEncState::interp_lsp

Interpolated LSPs for current sub-frame

spx_lsp_t* SBEncState::interp_qlsp

Interpolated quantized LSPs for current sub-frame

spx_coef_t* SBEncState::interp_lpc

Interpolated LPCs for current sub-frame

spx_coef_t* SBEncState::interp_qlpc

Interpolated quantized LPCs for current sub-frame

spx_coef_t* SBEncState::bw_lpc1

Bandwidth-expanded version of LPCs (#1)

spx_coef_t* SBEncState::bw_lpc2

Bandwidth-expanded version of LPCs (#2)

spx_mem_t* SBEncState::mem_sp

Synthesis signal memory

spx_mem_t* SBEncState::mem_sw

Perceptual signal memory

float SBEncState::vbr_quality

Quality setting for VBR encoding

int SBEncState::vbr_enabled

1 for enabling VBR, 0 otherwise

int SBEncState::abr_enabled

ABR setting (in bps), 0 if off

int SBEncState::vad_enabled

1 for enabling VAD, 0 otherwise

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.1.12/libspeex/sb_celp.h